com.microfocus.awm.meta.interfaces

## Interface ApplicationOptions

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ApplicationOptionsImpl

      public interface ApplicationOptions
      extends AWMObject

  Application options define global settings that apply to the complete application.

  The following features are supported:

  - `Custom Option`
  - `Application Action`
  - `Application Property`
  - `Default Generic Symbol`
  - `End Reference`
  - `EXITPARM`
  - `Generic Symbols`
  - `Max RC`
  - `Model ID`
  - `Root Containers Action`
  - `Start Reference`
  - `Version`
  - `Last Edit Client Version`
  - `Independent Affected Resource Contexts`
  - `Cache Elements`
  See Also:
    `TaurusPackage.getApplicationOptions()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<RApplicationAction>` | `getApplicationAction()` Returns the value of the 'Application Action' containment reference list.
    `org.eclipse.emf.common.util.EList<RApplicationProperty>` | `getApplicationProperty()` Returns the value of the 'Application Property' containment reference list.
    `org.eclipse.emf.common.util.EList<SpecificAttribute>` | `getCustomOption()` Returns the value of the 'Custom Option' containment reference list.
    `java.lang.String` | `getDefaultGenericSymbol()` Returns the value of the 'Default Generic Symbol' attribute.
    `java.lang.String` | `getEndReference()` Returns the value of the 'End Reference' attribute.
    `java.lang.String` | `getEXITPARM()` Deprecated. this parameter was moved to the ISPF function package. Use TaurusModelUtil#getExitParameter to access the Exitparm parameter value.
    `org.eclipse.emf.common.util.EList<java.lang.String>` | `getGenericSymbols()` Returns the value of the 'Generic Symbols' attribute list.
    `java.lang.String` | `getLastEditClientVersion()` Returns the value of the 'Last Edit Client Version' attribute.
    `int` | `getMaxRC()` Returns the value of the 'Max RC' attribute.
    `java.lang.String` | `getModelID()` Returns the value of the 'Model ID' attribute.
    `ActionDescriptor` | `getRootContainersAction()` Returns the value of the 'Root Containers Action' reference.
    `java.lang.String` | `getStartReference()` Returns the value of the 'Start Reference' attribute.
    `java.lang.String` | `getVersion()` Returns the value of the 'Version' attribute.
    `boolean` | `isCacheElements()` Returns the value of the 'Cache Elements' attribute.
    `boolean` | `isIndependentAffectedResourceContexts()` Returns the value of the 'Independent Affected Resource Contexts' attribute.
    `boolean` | `isSetCacheElements()` Returns whether the value of the '`Cache Elements`' attribute is set.
    `boolean` | `isSetEndReference()` Returns whether the value of the '`End Reference`' attribute is set.
    `boolean` | `isSetEXITPARM()` Deprecated. the EXITPARM parameter was moved to the ISPF function package.
    `boolean` | `isSetIndependentAffectedResourceContexts()` Returns whether the value of the '`Independent Affected Resource Contexts`' attribute is set.
    `boolean` | `isSetLastEditClientVersion()` Returns whether the value of the '`Last Edit Client Version`' attribute is set.
    `boolean` | `isSetMaxRC()` Returns whether the value of the '`Max RC`' attribute is set.
    `boolean` | `isSetModelID()` Returns whether the value of the '`Model ID`' attribute is set.
    `boolean` | `isSetStartReference()` Returns whether the value of the '`Start Reference`' attribute is set.
    `void` | `setCacheElements(boolean value)` Sets the value of the '`Cache Elements`' attribute.
    `void` | `setDefaultGenericSymbol(java.lang.String value)` Sets the value of the '`Default Generic Symbol`' attribute.
    `void` | `setEndReference(java.lang.String value)` Sets the value of the '`End Reference`' attribute.
    `void` | `setEXITPARM(java.lang.String value)` Deprecated. the EXITPARM parameter was moved to the ISPF function package.
    `void` | `setIndependentAffectedResourceContexts(boolean value)` Sets the value of the '`Independent Affected Resource Contexts`' attribute.
    `void` | `setLastEditClientVersion(java.lang.String value)` Sets the value of the '`Last Edit Client Version`' attribute.
    `void` | `setMaxRC(int value)` Sets the value of the '`Max RC`' attribute.
    `void` | `setModelID(java.lang.String value)` Sets the value of the '`Model ID`' attribute.
    `void` | `setRootContainersAction(ActionDescriptor value)` Sets the value of the '`Root Containers Action`' reference.
    `void` | `setStartReference(java.lang.String value)` Sets the value of the '`Start Reference`' attribute.
    `void` | `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute.
    `void` | `unsetCacheElements()` Unsets the value of the '`Cache Elements`' attribute.
    `void` | `unsetEndReference()` Unsets the value of the '`End Reference`' attribute.
    `void` | `unsetEXITPARM()` Deprecated. the EXITPARM parameter was moved to the ISPF function package.
    `void` | `unsetIndependentAffectedResourceContexts()` Unsets the value of the '`Independent Affected Resource Contexts`' attribute.
    `void` | `unsetLastEditClientVersion()` Unsets the value of the '`Last Edit Client Version`' attribute.
    `void` | `unsetMaxRC()` Unsets the value of the '`Max RC`' attribute.
    `void` | `unsetModelID()` Unsets the value of the '`Model ID`' attribute.
    `void` | `unsetStartReference()` Unsets the value of the '`Start Reference`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGenericSymbols

          org.eclipse.emf.common.util.EList<java.lang.String> getGenericSymbols()

      Returns the value of the 'Generic Symbols' attribute list. The list contents are of type `String`.
      Defines the allowed wildcard characters for a generic search. The characters given here are used to validate generic input fields in dialogs. The permitted characters are entered directly, one after the other.
      Returns:
        the value of the 'Generic Symbols' attribute list.
      See Also:
        `TaurusPackage.getApplicationOptions_GenericSymbols()`

    - #### getCustomOption

          org.eclipse.emf.common.util.EList<SpecificAttribute> getCustomOption()

      Returns the value of the 'Custom Option' containment reference list. The list contents are of type `SpecificAttribute`. Relationship to customer specific attributes.
      Returns:
        the value of the 'Custom Option' containment reference list.
      See Also:
        `TaurusPackage.getApplicationOptions_CustomOption()`

    - #### getApplicationAction

          org.eclipse.emf.common.util.EList<RApplicationAction> getApplicationAction()

      Returns the value of the 'Application Action' containment reference list. The list contents are of type `RApplicationAction`. By using the Application Options have Application Actions relationship, actions are assigned to an AWM application. The actions are executed on the application level. Action descriptors referenced using this relationship appear either in the context menu of the application entry or are executed automatically on specific conditions (e.g. when the application is loaded).
      Returns:
        the value of the 'Application Action' containment reference list.
      See Also:
        `TaurusPackage.getApplicationOptions_ApplicationAction()`

    - #### getApplicationProperty

          org.eclipse.emf.common.util.EList<RApplicationProperty> getApplicationProperty()

      Returns the value of the 'Application Property' containment reference list. The list contents are of type `RApplicationProperty`. By assigning properties to the application options, properties are created which values can be accessed within the whole model.
      Returns:
        the value of the 'Application Property' containment reference list.
      See Also:
        `TaurusPackage.getApplicationOptions_ApplicationProperty()`

    - #### getDefaultGenericSymbol

          java.lang.String getDefaultGenericSymbol()

      Returns the value of the 'Default Generic Symbol' attribute.
      The standard wildcard character usually used to match all elements. Generic input fields will be automatically filled in with this symbol.
      Returns:
        the value of the 'Default Generic Symbol' attribute.
      See Also:
        `setDefaultGenericSymbol(String)`, `TaurusPackage.getApplicationOptions_DefaultGenericSymbol()`

    - #### setDefaultGenericSymbol

          void setDefaultGenericSymbol(java.lang.String value)

      Sets the value of the '`Default Generic Symbol`' attribute.
      Parameters:
        `value` - the new value of the 'Default Generic Symbol' attribute.
      See Also:
        `getDefaultGenericSymbol()`

    - #### getEndReference

          java.lang.String getEndReference()

      Returns the value of the 'End Reference' attribute. The default value is `"."`.
      Symbol or character string that should be interpreted as meaning the end of a reference.
      Returns:
        the value of the 'End Reference' attribute.
      See Also:
        `isSetEndReference()`, `unsetEndReference()`, `setEndReference(String)`, `TaurusPackage.getApplicationOptions_EndReference()`

    - #### setEndReference

          void setEndReference(java.lang.String value)

      Sets the value of the '`End Reference`' attribute.
      Parameters:
        `value` - the new value of the 'End Reference' attribute.
      See Also:
        `isSetEndReference()`, `unsetEndReference()`, `getEndReference()`

    - #### unsetEndReference

          void unsetEndReference()

      Unsets the value of the '`End Reference`' attribute.
      See Also:
        `isSetEndReference()`, `getEndReference()`, `setEndReference(String)`

    - #### isSetEndReference

          boolean isSetEndReference()

      Returns whether the value of the '`End Reference`' attribute is set.
      Returns:
        whether the value of the 'End Reference' attribute is set.
      See Also:
        `unsetEndReference()`, `getEndReference()`, `setEndReference(String)`

    - #### getEXITPARM

          @Deprecated
          java.lang.String getEXITPARM()

      Deprecated. this parameter was moved to the ISPF function package. Use TaurusModelUtil#getExitParameter to access the Exitparm parameter value.
      Returns the value of the 'EXITPARM' attribute. The default value is `""`.
      Permits the transfer of a parameter to the ISPF tool call-up exit TAUTOXA1. Dynamic references of variables are allowed.
      Returns:
        the value of the 'EXITPARM' attribute.
      See Also:
        `isSetEXITPARM()`, `unsetEXITPARM()`, `setEXITPARM(String)`, `TaurusPackage.getApplicationOptions_EXITPARM()`

    - #### setEXITPARM

          @Deprecated
          void setEXITPARM(java.lang.String value)

      Deprecated. the EXITPARM parameter was moved to the ISPF function package.
      Sets the value of the ' `EXITPARM`' attribute.
      Parameters:
        `value` - the new value of the 'EXITPARM' attribute.
      See Also:
        `isSetEXITPARM()`, `unsetEXITPARM()`, `getEXITPARM()`

    - #### unsetEXITPARM

          @Deprecated
          void unsetEXITPARM()

      Deprecated. the EXITPARM parameter was moved to the ISPF function package.
      Unsets the value of the ' `EXITPARM`' attribute.
      See Also:
        `isSetEXITPARM()`, `getEXITPARM()`, `setEXITPARM(String)`

    - #### isSetEXITPARM

          @Deprecated
          boolean isSetEXITPARM()

      Deprecated. the EXITPARM parameter was moved to the ISPF function package.
      Returns whether the value of the ' `EXITPARM`' attribute is set.
      Returns:
        whether the value of the 'EXITPARM' attribute is set.
      See Also:
        `unsetEXITPARM()`, `getEXITPARM()`, `setEXITPARM(String)`

    - #### getMaxRC

          int getMaxRC()

      Returns the value of the 'Max RC' attribute. The default value is `"4"`.
      The maximum permitted return code of a tool that is called from the model interpreter. The tool execution will be interpreted as being faulty if this value is exceeded.
      Returns:
        the value of the 'Max RC' attribute.
      See Also:
        `isSetMaxRC()`, `unsetMaxRC()`, `setMaxRC(int)`, `TaurusPackage.getApplicationOptions_MaxRC()`

    - #### setMaxRC

          void setMaxRC(int value)

      Sets the value of the '`Max RC`' attribute.
      Parameters:
        `value` - the new value of the 'Max RC' attribute.
      See Also:
        `isSetMaxRC()`, `unsetMaxRC()`, `getMaxRC()`

    - #### unsetMaxRC

          void unsetMaxRC()

      Unsets the value of the '`Max RC`' attribute.
      See Also:
        `isSetMaxRC()`, `getMaxRC()`, `setMaxRC(int)`

    - #### isSetMaxRC

          boolean isSetMaxRC()

      Returns whether the value of the '`Max RC`' attribute is set.
      Returns:
        whether the value of the 'Max RC' attribute is set.
      See Also:
        `unsetMaxRC()`, `getMaxRC()`, `setMaxRC(int)`

    - #### getModelID

          java.lang.String getModelID()

      Returns the value of the 'Model ID' attribute. The default value is `"AWM_Model"`.
      ID of the model; for internal use only
      Returns:
        the value of the 'Model ID' attribute.
      See Also:
        `isSetModelID()`, `unsetModelID()`, `setModelID(String)`, `TaurusPackage.getApplicationOptions_ModelID()`

    - #### setModelID

          void setModelID(java.lang.String value)

      Sets the value of the '`Model ID`' attribute.
      Parameters:
        `value` - the new value of the 'Model ID' attribute.
      See Also:
        `isSetModelID()`, `unsetModelID()`, `getModelID()`

    - #### unsetModelID

          void unsetModelID()

      Unsets the value of the '`Model ID`' attribute.
      See Also:
        `isSetModelID()`, `getModelID()`, `setModelID(String)`

    - #### isSetModelID

          boolean isSetModelID()

      Returns whether the value of the '`Model ID`' attribute is set.
      Returns:
        whether the value of the 'Model ID' attribute is set.
      See Also:
        `unsetModelID()`, `getModelID()`, `setModelID(String)`

    - #### getRootContainersAction

          ActionDescriptor getRootContainersAction()

      Returns the value of the 'Root Containers Action' reference.
      Reference to an action which will be executed when the application entry in the tree view is expanded by the user in order to retrieve container elements of the first hierarchy level.
      Returns:
        the value of the 'Root Containers Action' reference.
      See Also:
        `setRootContainersAction(ActionDescriptor)`, `TaurusPackage.getApplicationOptions_RootContainersAction()`

    - #### setRootContainersAction

          void setRootContainersAction(ActionDescriptor value)

      Sets the value of the '`Root Containers Action`' reference.
      Parameters:
        `value` - the new value of the 'Root Containers Action' reference.
      See Also:
        `getRootContainersAction()`

    - #### getStartReference

          java.lang.String getStartReference()

      Returns the value of the 'Start Reference' attribute. The default value is `"&"`.
      Symbol or character string which is interpreted as meaning the start of a reference.
      Returns:
        the value of the 'Start Reference' attribute.
      See Also:
        `isSetStartReference()`, `unsetStartReference()`, `setStartReference(String)`, `TaurusPackage.getApplicationOptions_StartReference()`

    - #### setStartReference

          void setStartReference(java.lang.String value)

      Sets the value of the '`Start Reference`' attribute.
      Parameters:
        `value` - the new value of the 'Start Reference' attribute.
      See Also:
        `isSetStartReference()`, `unsetStartReference()`, `getStartReference()`

    - #### unsetStartReference

          void unsetStartReference()

      Unsets the value of the '`Start Reference`' attribute.
      See Also:
        `isSetStartReference()`, `getStartReference()`, `setStartReference(String)`

    - #### isSetStartReference

          boolean isSetStartReference()

      Returns whether the value of the '`Start Reference`' attribute is set.
      Returns:
        whether the value of the 'Start Reference' attribute is set.
      See Also:
        `unsetStartReference()`, `getStartReference()`, `setStartReference(String)`

    - #### getVersion

          java.lang.String getVersion()

      Returns the value of the 'Version' attribute. The default value is `"0.0"`.
      Version of the AWM model
      Returns:
        the value of the 'Version' attribute.
      See Also:
        `setVersion(String)`, `TaurusPackage.getApplicationOptions_Version()`

    - #### setVersion

          void setVersion(java.lang.String value)

      Sets the value of the '`Version`' attribute.
      Parameters:
        `value` - the new value of the 'Version' attribute.
      See Also:
        `getVersion()`

    - #### getLastEditClientVersion

          java.lang.String getLastEditClientVersion()

      Returns the value of the 'Last Edit Client Version' attribute. Version of the AWM client which was used to edit the model in the AWM model editor.
      Returns:
        the value of the 'Last Edit Client Version' attribute.
      See Also:
        `isSetLastEditClientVersion()`, `unsetLastEditClientVersion()`, `setLastEditClientVersion(String)`, `TaurusPackage.getApplicationOptions_LastEditClientVersion()`

    - #### setLastEditClientVersion

          void setLastEditClientVersion(java.lang.String value)

      Sets the value of the '`Last Edit Client Version`' attribute.
      Parameters:
        `value` - the new value of the 'Last Edit Client Version' attribute.
      See Also:
        `isSetLastEditClientVersion()`, `unsetLastEditClientVersion()`, `getLastEditClientVersion()`

    - #### unsetLastEditClientVersion

          void unsetLastEditClientVersion()

      Unsets the value of the '`Last Edit Client Version`' attribute.
      See Also:
        `isSetLastEditClientVersion()`, `getLastEditClientVersion()`, `setLastEditClientVersion(String)`

    - #### isSetLastEditClientVersion

          boolean isSetLastEditClientVersion()

      Returns whether the value of the '`Last Edit Client Version`' attribute is set.
      Returns:
        whether the value of the 'Last Edit Client Version' attribute is set.
      See Also:
        `unsetLastEditClientVersion()`, `getLastEditClientVersion()`, `setLastEditClientVersion(String)`

    - #### isIndependentAffectedResourceContexts

          boolean isIndependentAffectedResourceContexts()

      Returns the value of the 'Independent Affected Resource Contexts' attribute. The default value is `"true"`.
      Whether affected resource contexts should be independent from the main context.
      Returns:
        the value of the 'Independent Affected Resource Contexts' attribute.
      See Also:
        `isSetIndependentAffectedResourceContexts()`, `unsetIndependentAffectedResourceContexts()`, `setIndependentAffectedResourceContexts(boolean)`, `TaurusPackage.getApplicationOptions_IndependentAffectedResourceContexts()`

    - #### setIndependentAffectedResourceContexts

          void setIndependentAffectedResourceContexts(boolean value)

      Sets the value of the '`Independent Affected Resource Contexts`' attribute.
      Parameters:
        `value` - the new value of the 'Independent Affected Resource Contexts' attribute.
      See Also:
        `isSetIndependentAffectedResourceContexts()`, `unsetIndependentAffectedResourceContexts()`, `isIndependentAffectedResourceContexts()`

    - #### unsetIndependentAffectedResourceContexts

          void unsetIndependentAffectedResourceContexts()

      Unsets the value of the '`Independent Affected Resource Contexts`' attribute.
      See Also:
        `isSetIndependentAffectedResourceContexts()`, `isIndependentAffectedResourceContexts()`, `setIndependentAffectedResourceContexts(boolean)`

    - #### isSetIndependentAffectedResourceContexts

          boolean isSetIndependentAffectedResourceContexts()

      Returns whether the value of the '`Independent Affected Resource Contexts`' attribute is set.
      Returns:
        whether the value of the 'Independent Affected Resource Contexts' attribute is set.
      See Also:
        `unsetIndependentAffectedResourceContexts()`, `isIndependentAffectedResourceContexts()`, `setIndependentAffectedResourceContexts(boolean)`

    - #### isCacheElements

          boolean isCacheElements()

      Returns the value of the 'Cache Elements' attribute. The default value is `"true"`.
      Whether AWM elements, element lists and corresponding column configurations will be cached.
      Returns:
        the value of the 'Cache Elements' attribute.
      See Also:
        `isSetCacheElements()`, `unsetCacheElements()`, `setCacheElements(boolean)`, `TaurusPackage.getApplicationOptions_CacheElements()`

    - #### setCacheElements

          void setCacheElements(boolean value)

      Sets the value of the '`Cache Elements`' attribute.
      Parameters:
        `value` - the new value of the 'Cache Elements' attribute.
      See Also:
        `isSetCacheElements()`, `unsetCacheElements()`, `isCacheElements()`

    - #### unsetCacheElements

          void unsetCacheElements()

      Unsets the value of the '`Cache Elements`' attribute.
      See Also:
        `isSetCacheElements()`, `isCacheElements()`, `setCacheElements(boolean)`

    - #### isSetCacheElements

          boolean isSetCacheElements()

      Returns whether the value of the '`Cache Elements`' attribute is set.
      Returns:
        whether the value of the 'Cache Elements' attribute is set.
      See Also:
        `unsetCacheElements()`, `isCacheElements()`, `setCacheElements(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.